; ***************************************************************
; ***                                                         ***
; *** Inno Setup version 5.1.11+ Scottish Gaelic messages     ***
; ***                                                         ***
; *** Original Author:                                        ***
; ***                                                         ***
; ***   GunChleoc (fios@foramnagaidhlig.net                   ***
; ***                                                         ***
; ***************************************************************
;

[LangOptions]
LanguageName=Gàidhlig
LanguageID=$1084
LanguageCodePage=1252

[Messages]

; *** Application titles
SetupAppTitle=Stàladh
SetupWindowTitle=Stàladh - %1
UninstallAppTitle=Thoir air falbh
UninstallAppFullTitle=Thoir %1 air falbh

; *** Misc. common
InformationTitle=Fiosrachadh
ConfirmTitle=Dearbhaich
ErrorTitle=Mearachd

; *** SetupLdr messages
SetupLdrStartupMessage=Thèid %1 a stàladh a-nis. A bheil thu airson leantainn air adhart?
LdrCannotCreateTemp=Cha b' urrainn dhuinn faidhle sealach a chruthachadh. Chaidh sgur dhen stàladh
LdrCannotExecTemp=Cha b' urrainn dhuinn am faidhle a ruith sa phasgan shealach. Chaidh sgur dhen stàladh

; *** Startup error messages
LastErrorMessage=%1.%n%nMearachd %2: %3
SetupFileMissing=Tha am faidhle %1 a dhìth sa phasgan stàlaidh. Feuch an càraich thu an duilgheadas seo no faigh lethbhreac ùr dhen phrògram.
SetupFileCorrupt=Tha na faidhlichean stàlaidh coirbte. Feuch am faigh thu lethbhreac ùr dhen phrògram.
SetupFileCorruptOrWrongVer=Tha na faidhlichean stàlaidh coirbte no neo-chòrdail ris an tionndadh seo aig an stàladh. Feuch an càraich thu an duilgheadas seo no faigh lethbhreac ùr dhen phrògram.
NotOnThisPlatform=Chan urrainn dhut am prògram seo a ruith fo %1.
OnlyOnThisPlatform=Feumaidh tu am prògram seo a ruith fo %1.
OnlyOnTheseArchitectures=Chan urrainn dhut am prògram seo a ruith ach air tionndaidhean Windows a chuireas taic ri ailtearachdan nam pròiseasar seo:%n%n%1
MissingWOW64APIs=Chan eil na foincseanan a tha a dhìth airson stàladh 64-biod a dhèanamh aig an tionndadh aig Windows a tha thu a' ruith. Feuch an stàlaich thu a' phacaid sheirbheise %1 gus an duilgheadas seo a chàradh.
WinVersionTooLowError=Tha %1 tionndadh %2 no nas ùire a dhìth airson a' phrògraim seo.
WinVersionTooHighError=Cha ghabh am prògram seo a stàladh fo %1 tionndadh %2 no nas ùire.
AdminPrivilegesRequired=Feumaidh tu logadh a-steach mar Rianaire gus am prògram seo a stàladh.
PowerUserPrivilegesRequired=Feumaidh tu logadh a-steach mar Rianaire no mar bhall dhen bhuidheann Power Users gus am prògram seo a stàladh.
SetupAppRunningError=Mhothaich an stàladh gu bheil %1 ga ruith an-dràsta.%n%nDùin gach ionstans a tha a' ruith an-dràsta is briog air "Ceart ma-thà" air neo briog air "Sguir dheth" gus fàgail.
UninstallAppRunningError=Mhothaich an dì-stàladh gu bheil %1 ga ruith an-dràsta.%n%nDùin gach ionstans a tha a' ruith an-dràsta is briog air "Ceart ma-thà" air neo briog air "Sguir dheth" gus fàgail.

; *** Misc. errors
ErrorCreatingDir=Cha b' urrainn dhan stàladh am pasgan "%1" a chruthachadh
ErrorTooManyFilesInDir=Tha faidhle ann nach b' urrainn dhan stàladh cruthachadh sa phasgan "%1" on a tha cus fhaidhlichean ann

; *** Setup common messages
ExitSetupTitle=Fàg an stàladh
ExitSetupMessage=Chan eil an stàladh coileanta fhathast. Ma sguireas tu dheth an-dràsta, cha tèid am prògram a stàladh.%n%n'S urrainn dhut an stàladh a dhèanamh a-rithist àm eile gus a choileanadh.%n%nA bheil thu airson an stàladh fhàgail?
AboutSetupMenuItem=&Mun stàladh ...
AboutSetupTitle=Mun stàladh
AboutSetupMessage=%1 Tionndadh %2%n%3%n%n%1 Duilleag-lìn:%n%4
AboutSetupNote=
TranslatorNote=An t-eadar-theangachadh le GunChleoc (fios@foramnagaidhlig.net)

; *** Buttons
ButtonBack=< Air ai&s
ButtonNext=Air adha&rt >
ButtonInstall=&Stàlaich
ButtonOK=Ceart ma-thà
ButtonCancel=Sguir dheth
ButtonYes=&Tha
ButtonYesToAll=Th&a dhan a h-uile
ButtonNo=&Chan eil
ButtonNoToAll=Cha&n eil dhan a h-uile
ButtonFinish=&Crìochnaich
ButtonBrowse=Rùrai&ch ...
ButtonWizardBrowse=&Rùraich ...
ButtonNewFolder=&Dèan pasgan ùr

; *** "Select Language" dialog messages
SelectLanguageTitle=Tagh cànan an stàlaidh
SelectLanguageLabel=Tagh an cànan a chleachdas tu leis an stàladh

; *** Common wizard text
ClickNext=Briog air "Air adhart" gus leantainn air adhart no air "Sguir dheth" gus fàgail.
BeveledLabel=
BrowseDialogTitle=Lorg pasgan
BrowseDialogLabel=Tagh pasgan is briog air "Ceart ma-thà" an uairsin.
NewFolderName=Pasgan ùr

; *** "Welcome" wizard page
WelcomeLabel1=Fàilte dhan draoidh stàlaidh aig [name]
WelcomeLabel2=Stàlaichidh an draoidh seo [name/ver] air a' choimpiutair agad a-nis.%n%nBu chòir dhut crìoch a chur air a h-uile aplacaid eile mus lean thu air adhart leis an stàladh.

; *** "Password" wizard page
WizardPassword=Facal-faire
PasswordLabel1=Tha an stàladh seo dìonta le facal-faire.
PasswordLabel3=Cuir a-steach am facal-faire is briog air "Air adhart" an uairsin. Thoir an aire air litrichean mòra is beaga.
PasswordEditLabel=&Facal-faire:
IncorrectPassword=Chan eil am facal-faire a chuir thu ann mar bu chòir. Am feuch thu ris a-rithist?

; *** "License Agreement" wizard page
WizardLicense=Aonta ceadachais
LicenseLabel=An leugh thu am fiosrachadh cudromach seo mus lean thu air adhart?
LicenseLabel3=Feuch an leugh thu an t-aonta ceadachais seo. Feumaidh tu gabhail ri teirmichean an aonta mus fhaod thu leantainn air adhart.
LicenseAccepted=&Gabhaidh mi ris an aonta
LicenseNotAccepted=&Diùltaidh mi an t-aonta

; *** "Information" wizard pages
WizardInfoBefore=Fiosrachadh
InfoBeforeLabel=An leugh thu am fiosrachadh cudromach seo mus lean thu air adhart?
InfoBeforeClickLabel=Nuair a bhios tu deiseil gus leantainn air adhart, briog air "Air adhart".
WizardInfoAfter=Fiosrachadh
InfoAfterLabel=An leugh thu am fiosrachadh cudromach seo mus lean thu air adhart?
InfoAfterClickLabel=Nuair a bhios tu deiseil gus leantainn air adhart, briog air "Air adhart".

; *** "User Information" wizard page
WizardUserInfo=Fiosrachadh a' chleachdaiche
UserInfoDesc=An cuir thu a-steach an dàta agad?
UserInfoName=&Ainm:
UserInfoOrg=&Buidheann:
UserInfoSerial=Àireamh &shreathach:
UserInfoNameRequired=Feumaidh tu ainm a chur a-steach.

; *** "Select Destination Location" wizard page
WizardSelectDir=Tagh am pasgan-uidhe
SelectDirDesc=Càite an tèid [name] a stàladh?
SelectDirLabel3=Thèid [name] a stàladh sa phasgan seo.
SelectDirBrowseLabel=Briog air "Air adhart" gus leantainn air adhart. Briog air "Rùraich" ma tha thu airson pasgan eile a thaghadh.
DiskSpaceMBLabel=Bidh feum air co-dhiù [mb] MB de rum sàbhalaidh saor.
ToUNCPathname=Cha ghabh stàladh ann an slighe UNC. Ma tha thu airson stàladh air draibh lìonraidh, feumaidh tu litir draibh a shònrachadh dhan t-slighe lìonraidh.
InvalidPath=Feumaidh tu slighe iomlan le litir draibh a thoirt seachad; m.e.:%n%nC:\Ball-eisimpleir%n%nno slighe UNC leis a' chruth:%n%n\\Frithealaiche\Co-roinneadh
InvalidDrive=Chan eil an draibh no an t-slighe UNC a thug thu seachad ann no chan urrainn dhuinn inntrigeadh. Feuch an tagh thu pasgan eile.
DiskSpaceWarningTitle=Chan eil rum saor gu leòr ann
DiskSpaceWarning=Cha co-dhiù %1 KB de rum saor a dhìth airson stàladh, ach chan eil ach %2 KB ri làimh air an draibh a thagh thu.%n%nA bheil thu airson leantainn air adhart co-dhiù?
DirNameTooLong=Tha ainm a' phasgain/na slighe ro fhada.
InvalidDirName=Chan eil ainm a' phasgain dligheach.
BadDirName32=Chan fhaod na caractaran seo a bhith ann an ainm pasgain:%n%n%1
DirExistsTitle=Tha am pasgan ann mu thràth
DirExists=Tha am pasgan:%n%n%1%n%nann mu thràth. A bheil thu airson stàladh sa phasgan seo co-dhiù?
DirDoesntExistTitle=Chan eil am pasgan ann
DirDoesntExist=Chan eil am pasgan:%n%n%1%n%nann. A bheil thu airson a chruthachadh?

; *** "Select Components" wizard page
WizardSelectComponents=Tagh co-phàirtean
SelectComponentsDesc=Dè na co-phàirtean a thèid a stàladh?
SelectComponentsLabel2=Tagh na co-phàirtean a tha thu airson stàladh. Briog air "Air adhart" nuair a bhios tu ullamh.
FullInstallation=Stàladh slàn
CompactInstallation=Stàladh beag
CustomInstallation=Stàladh gnàthaichte
NoUninstallWarningTitle=Tha co-phàirtean ann
NoUninstallWarning=Mhothaich an stàladh gun deach na co-phàirtean seo air stàladh air a' choimpiutair agad roimhe:%n%n%1%n%nCha tèid na co-phàirtean seo nach do thagh thu tuilleadh a thoirt air falbh on choimpiutair agad.%n%nA bheil thu airson leantainn air adhart co-dhiù?
ComponentSize1=%1 KB
ComponentSize2=%1 MB
ComponentsDiskSpaceMBLabel=Thèid co-dhiù [mb] MB de rum a chleachdadh airson na thagh thu.

; *** "Select Additional Tasks" wizard page
WizardSelectTasks=Saothraichean a bharrachd
SelectTasksDesc=Dè na saothraichean a bharrachd a thèid a ruith?
SelectTasksLabel2=Tagh na saothraichean a bharrachd a tha thu airson ruith leis an stàladh aig [name] is briog air "Air adhart" an uairsin.

; *** "Select Start Menu Folder" wizard page
WizardSelectProgramGroup=Tagh pasgan sa chlàr-taice tòiseachaidh
SelectStartMenuFolderDesc=Càite an cruthaich an stàladh na ceanglaichean dhan phrògram?
SelectStartMenuFolderLabel3=Cruthaichidh an stàladh na ceanglaichean dhan phrògram sa phasgan seo sa chlàr-taice tòiseachaidh.
SelectStartMenuFolderBrowseLabel=Briog air "Air adhart" gus leantainn air adhart. Briog air "Rùraich" ma tha thu airson pasgan eile a thaghadh.
MustEnterGroupName=Feumaidh tu ainm pasgain a chur a-steach.
GroupNameTooLong=Tha ainm a' phasgain/na slighe ro fhada.
InvalidGroupName=Chan eil ainm a' phasgain dligheach.
BadGroupName=Chan fhaod na caractaran seo a bhith ann an ainm pasgain:%n%n%1
NoProgramGroupCheck2=&Na cruthaich pasgan sam bith sa chlàr-taice tòiseachaidh

; *** "Ready to Install" wizard page
WizardReady=Dèan an stàladh
ReadyLabel1=Tha an draoidh stàlaidh deiseil gus [name] a stàladh air a' choimpiutair agad.
ReadyLabel2a=Briog air "Stàlaich" gus tòiseachadh leis an stàladh no air "Air ais" gus sùil a thoirt air na roghainnean no gus an atharrachadh.
ReadyLabel2b=Briog air "Stàlaich" gus tòiseachadh air an stàladh.
ReadyMemoUserInfo=Fiosrachadh a' chleachdaiche:
ReadyMemoDir=Pasgan-uidhe:
ReadyMemoType=Seòrsa an stàlaidh:
ReadyMemoComponents=Co-phàirtean air an taghadh:
ReadyMemoGroup=Pasgan sa chlàr-taice tòiseachaidh:
ReadyMemoTasks=Saothraichean a bharrachd:

; *** "Preparing to Install" wizard page
WizardPreparing=Ag ullachadh an stàladh
PreparingDesc=Tha an stàladh aig [name] air a' choimpiutair seo ga ullachadh.
PreviousInstallNotCompleted=Tha stàladh/dì-stàladh aig prògram roimhe nach deach a choileanadh. Feumaidh tu an coimpiutair ath-thòiseachadh gus crìoch a chur air an stàladh/dì-stàladh.%n%nAn dèidh dhut an coimpiutair agad ath-thòiseachadh, tòisich an stàladh a-rithist gus an stàladh aig [name] a dhèanamh.
CannotContinue=Chan urrainn dhan stàladh leantainn air adhart. Feuch am briog thu air "Sguir dheth" gus fàgail.

; *** "Installing" wizard page
WizardInstalling=Ga stàladh ...
InstallingLabel=Fuirich ort fhad 's a tha [name] ga stàladh air a' choimpiutair agad.

; *** "Setup Completed" wizard page
FinishedHeadingLabel=Crìochnaich an draoidh stàlaidh aig [name]
FinishedLabelNoIcons=Tha an stàladh aig [name] air a' choimpiutair agad coileanta.
FinishedLabel=Chaidh an stàladh aig [name] a chrìochnachadh air a' choimpiutair agad. 'S urrainn dhut am prògram a thòiseachadh a-nis leis na ceanglaichean dhan phrògram a chaidh a stàladh.
ClickFinish=Briog air "Crìochnaich" gus crìoch a chur air an stàladh.
FinishedRestartLabel=Feumaidh sinn an coimpiutair ath-thòiseachadh gus an stàladh aig [name] a choileanadh. A bheil thu airson seo a dhèanamh an-dràsta?
FinishedRestartMessage=Feumaidh sinn an coimpiutair ath-thòiseachadh gus an stàladh aig [name] a choileanadh.%n%nA bheil thu airson ath-thòiseachadh an-dràsta?
ShowReadmeCheck=Tha, tha mi airson am faidhle LEUGHMI fhaicinn
YesRadio=&Tha, ath-thòisich an coimpiutair an-dràsta
NoRadio=&Chan eil, ath-thòisichidh mi fhìn an coimpiutair àm eile
RunEntryExec=Tòisich %1
RunEntryShellExec=Seall %1

; *** "Setup Needs the Next Disk" stuff
ChangeDiskTitle=Cuir an t-ath-chlàr a-steach
SelectDiskLabel2=Cuir a-steach clàr %1 is briog air "Ceart ma-thà".%n%nMur eil na faidhlichean on chlàr-shubailte seo sa phasgan a tha ga shealltainn dhut, cuir a-steach an t-slighe cheart no briog air "Rùraich".
PathLabel=&Slighe:
FileNotInDir2=Chan eil am faidhle "%1" an-seo: "%2". Feuch an atharraich thu am pasgan no an cuir thu a-steach clàr-subailte eile.
SelectDirectoryLabel=Sònraich càite an tèid an t-ath-chlàr a chur a-steach.

; *** Installation phase messages
SetupAborted=Cha b' urrainn dhuinn an stàladh a choileanadh.%n%nFeuch an càraich thu an duilgheadas is tòisich air an stàladh a-rithist.
EntryAbortRetryIgnore=Briog air "Ath-dhèan" gus feuchainn ris a-rithist, air "Leig seachad" gus leantainn ort co-dhiù no air "Sguir dheth" gus sgur dhen stàladh.

; *** Installation status messages
StatusCreateDirs=Tha pasganan gan cruthachadh ...
StatusExtractFiles=Tha faidhlichean gan dì-dhùmhlachadh ...
StatusCreateIcons=Tha ceanglaichean gan cruthachadh ...
StatusCreateIniEntries=Tha innteartan INI gan cruthachadh ...
StatusCreateRegistryEntries=Tha innteartan a' chlàr-lainn gan cruthachadh ...
StatusRegisterFiles=Tha faidhlichean gan clàradh ...
StatusSavingUninstall=Tha fiosrachadh dì-stàlaidh ga shàbhaladh ...
StatusRunProgram=Tha an stàladh ga chrìochnachadh ...
StatusRollback=Tha na h-atharraichean gan neo-dhèanamh ...

; *** Misc. errors
ErrorInternal2=Mearachd taobh a-staigh: %1
ErrorFunctionFailedNoCode=Dh'fhàillig le %1
ErrorFunctionFailed=Dh'fhàillig le %1 ; Còd %2
ErrorFunctionFailedWithMessage=Dh'fhàillig le %1; Còd %2.%n%3
ErrorExecutingProgram=Cha ghabh am faidhle a ruith:%n%1

; *** Registry errors
ErrorRegOpenKey=Cha b' urrainn dhuinn iuchair a' chlàr-lainn fhosgladh:%n%1\%2
ErrorRegCreateKey=Cha b' urrainn dhuinn iuchair a' chlàr-lainn a chruthachadh:%n%1\%2
ErrorRegWriteKey=Mearachd le sgrìobhadh iuchair a' chlàr-lainn:%n%1\%2

; *** INI errors
ErrorIniEntry=Mearachd le cruthachadh innteart INI san fhaidhle "%1".

; *** File copying errors
FileAbortRetryIgnore=Briog air "Ath-dhèan" gus feuchainn ris a-rithist, air "Leig seachad" gus leum thairis air an fhaidhle seo (cha mholamaid seo) no air "Sguir dheth" gus sgur dhen stàladh.
FileAbortRetryIgnore2=Briog air "Ath-dhèan" gus feuchainn ris a-rithist, air "Leig seachad" gus leantainn ort co-dhiù (cha mholamaid seo) no air "Sguir dheth" gus sgur dhen stàladh.
SourceIsCorrupted=Tha am faidhle tùsail coirbte
SourceDoesntExist=Chan eil am faidhle tùsail "%1" ann
ExistingFileReadOnly=Tha dìon sgrìobhaidh air an fhaidhle a tha ann.%n%nBriog air "Ath-dhèan" gus an dìon sgrìobhaidh a thoirt air falbh, air "Leig seachad" gus leum thairis air an fhaidhle no air "Sguir dheth" gus sgur dhen stàladh.
ErrorReadingExistingDest=Mearachd leughaidh san fhaidhle:
FileExists=Tha am faidhle seo ann mu thràth.%n%nA bheil thu airson sgrìobhadh thairis air?
ExistingFileNewer=Tha am faidhle a tha ann mu thràth nas ùire na am faidhle a tha thu airson stàladh. Mholamaid gun cùm thu am faidhle a tha ann mu thràth.%n%n A bheil thu airson am faidhle a chumail a tha ann mu thràth?
ErrorChangingAttr=Thachair mearachd le atharrachadh nam feartan aig an fhaidhle a tha ann mu thràth:
ErrorCreatingTemp=Thachair mearachd a' feuchainn ri faidhle a chruthachadh sa phasgan-uidhe:
ErrorReadingSource=Thachair mearachd a' feuchainn ris am faidhle tùsail a leughadh:
ErrorCopying=Thachair mearachd a' feuchainn ri lethbhreac a dhèanamh de dh'fhaidhle:
ErrorReplacingExistingFile=Thachair mearachd le feuchainn ri cur an àite an fhaidhle a tha ann:
ErrorRestartReplace=Dh'fhàillig le ath-thòiseachadh/cur na àite:
ErrorRenamingTemp=Thachair mearachd a' feuchainn ri ainm ùr a thoirt air faidhle sa phasgan-uidhe:
ErrorRegisterServer=Cha ghabh an DLL/OCX a chlàradh: %1
ErrorRegSvr32Failed=Dh'fhàillig RegSvr32 le còd fàgail %1
ErrorRegisterTypeLib=Cha ghabh leabharlann nan seòrsa a chlàradh: %1

; *** Post-installation errors
ErrorOpeningReadme=Mearachd le fosgladh an fhaidhle LEUGHMI.
ErrorRestartingComputer=Cha deach leis an stàladh an coimpiutair agad ath-thòiseachadh. An dèan thu an t-ath-thòiseachadh a làimh?

; *** Uninstaller messages
UninstallNotFound=Chan eil am faidhle "%1" ann. Dh'fhàillig le toirt air falbh na h-aplacaid.
UninstallOpenError=Cha b' urrainn dhuinn am faidhle "%1" fhosgladh. Dh'fhàillig le toirt air falbh na h-aplacaid
UninstallUnsupportedVer=Cha b' urrainn dhuinn fòrmat an fhaidhle dì-stàlaidh "%1" a mhothachadh. Dh'fhàillig le toirt air falbh na h-aplacaid
UninstallUnknownEntry=Tha innteart neo-aithnichte (%1) san loga dì-stàlaidh
ConfirmUninstall=A bheil thu cinnteach bu bheil thu airson %1 is a h-uile co-phàirt aige a thoirt air falbh?
UninstallOnlyOnWin64=Chan urrainn dhuinn an stàladh seo a thoirt air falbh ach fo thionndaidhean Windows 64-biod.
OnlyAdminCanUninstall=Chan fhaod ach cleachdaiche le cead rianaire an stàladh seo a thoirt air falbh.
UninstallStatusLabel=Fuirich ort fhad 's a tha %1 ga thoirt air falbh on choimpiutair agad.
UninstalledAll=Chaidh %1 a thoirt air falbh on choimpiutair agad gu soirbheachail.
UninstalledMost=Tha an toirt air falbh aig %1 deiseil.%n%nTha co-phàirtean ann nach b' urrainn dhuinn toirt air falbh. 'S urrainn dhut fhèin an sguabadh às a làimh.
UninstalledAndNeedsRestart=Feumaidh sinn an coimpiutair agad ath-thòiseachadh gus an dì-stàladh aig %1 a choileanadh.%n%nA bheil thu airson ath-thòiseachadh an-dràsta?
UninstallDataCorrupted=Tha am faidhle "%1" coirbte. Dh'fhàillig le toirt air falbh na h-aplacaid.

; *** Uninstallation phase messages
ConfirmDeleteSharedFileTitle=A bheil thu airson am faidhle co-roinnte a sguabadh às?
ConfirmDeleteSharedFile2=Tha an siostam ag innse nach tèid am faidhle co-roinnte seo a chleachdadh le prògram sam bith eile. A bheil thu airson 's gun sguab sinn às dha?%nNan robh prògraman eile ann fhathast a chleachdadh am faidhle seo is nan rachadh a thoirt air falbh, dh'fhaoidte nach biodh na prògraman ud ag obrachadh mar bu chòir tuilleadh. Ma tha thu mì-chinnteach, tagh "Chan eil" gus am faidhle fhàgail san t-siostam. Cha dèan e cron dhan t-siostam agad ma chumas tu am faidhle seo air.
SharedFileNameLabel=Ainm an fhaidhle:
SharedFileLocationLabel=Pasgan:
WizardUninstalling=Ga thoirt air falbh (Staid)
StatusUninstalling=A' toirt air falbh %1 ...

[CustomMessages]

NameAndVersion=%1 tionndadh %2
AdditionalIcons=Samhlaidhean a bharrachd:
CreateDesktopIcon=Cruthaich samhla air an &deasg
CreateQuickLaunchIcon=Cruthaich ìomhaigheag &grad-thòiseachaidh
ProgramOnTheWeb=%1 air an eadar-lìon
UninstallProgram=Thoir %1 air falbh
LaunchProgram=Tòisich %1
AssocFileExtension=&Clàraich %1 leis an leudachan faidhle %2
AssocingFileExtension=Tha %1 ga chlàradh leis an leudachan faidhle %2 ...